package myClasses;
import java.io.*;
/**
 * Sample RoomP Class
 *
 * @version 1.04 04/19/2000
 * @author  John King
 *
 */
public class RoomP {
  	protected double length;
  	protected double width;
  	protected double footage;
  	protected String roomName;
  /** RoomP constructor with no parameters
   *  @return returns nothing
   */
  public RoomP() {
	this.width = 10.0;
	this.length = 10.0;
	this.roomName = "Generic";
	calcFootage();
	}
  /** RoomP constructor with parameters
  *  @param width, length, roomName
  *  @return returns nothing
  */
  public RoomP(double width, double length, String roomName) {
	this.width = width;
	this.length = length;
	this.roomName = roomName;
	calcFootage();
	}
  public RoomP(int width, int length, String roomName) {
	this.width = (double) width;
	this.length = (double) length;
	this.roomName = roomName;
	calcFootage();
	}
  public RoomP(float width, float length, String roomName) {
	this.width = width;
	this.length = length;
	this.roomName = roomName;
	calcFootage();
	}
  public double getWidth() {
	return this.width;
	}
  public double getLength() {
	return this.length;
	}
  public double getFootage() {
	return this.footage;
	}
  public String getRoomName() {
  	  return this.roomName;
  	  }
  public void calcFootage() {
	this.footage = this.width * this.length;
	}
  public void displayRoom() {
    System.out.println("Room width  = " + this.width);
    System.out.println("Room length = " + this.length);
    System.out.println("Room name   = " + this.roomName);
    calcFootage();
    System.out.println("Square footage   = " + this.footage);
	}
  public void setWidth(double width) {
    this.width = width;
	}
  public void setLength(double length) {
    this.length = length;
	}
  public void setWidth(int width) {
    this.width = (double) width;
	}
  public void setLength(int length) {
    this.length = (double) length;
	}
  public void setWidth(float width) {
    this.width = (double) width;
	}
  public void setLength(float length) {
    this.length = (double) length;
	}
  public void setRoomName(String roomName) {
	this.roomName = roomName;
	}
  public void setRoomName() {
    try {
		System.out.print("Enter room name: ");
		InputStreamReader inStream = new InputStreamReader(System.in);
		BufferedReader inBuf = new BufferedReader(inStream);
		this.roomName = inBuf.readLine();
		}
	catch(IOException e) {
		System.out.println("I/O error");
		}
	}
  /** "Standard displayInfo, used in Polymorphism example */
  public void displayInfo() {
  	    System.out.println("Room name: " + getRoomName()
  	                     + " footage: " + getFootage());
  }
}