package samples;

/**
 * Java application testing: automatic boxing and unboxing
 *
 * @version 1.01 02/02/2005
 * @author  John Jay King
 *
 * Will not compile in Java 1.4 or earlier
 *
 */
public class BoxingUnboxing {
  public static void main(String[] args) {

    Integer intObject = new Integer(123);
    int intPrimitive = intObject;
     //*** what this would require before Java 5
    //int intPrimitive = intObject.intValue();

	double doublePrimitive = 123.45;
    Double doubleObject = doublePrimitive;
     //*** what this would require before Java 5
	//Double doubleObject = new Double(doublePrimitive);

	System.out.println("intPrimitive="+ intPrimitive);
	System.out.println("intObject="+ intObject);
	System.out.println("doublePrimitive="+ doublePrimitive);
	System.out.println("doubleObject="+ doubleObject);

	return;
   }
}


